Update a CredentialAsk AIput https://api.revenium.ai/profitstream/v2/api/credentials/{id}Update a credentialPath ParamsidstringrequiredUnique identifier of the credential to update. This is the Revenium-generated hashid returned when the credential was created. The credential ID and API key cannot be changed, but other fields such as name and description can be updated. Format: URL-safe encoded string.Body ParamsnamestringrequiredThe name of the credentialteamIdstringrequiredThe unique identifier of the team that owns this credentialorganizationIdstringrequiredThe unique identifier of the organization that owns this credentialsubscriberIdstringrequiredThe unique identifier of the subscriber who owns this credentialexternalIdstringrequiredThe external id of the credentialexternalSecretstringThe external secret of the credentialsubscriptionIdsarray of stringsThe subscription IDs associated with this credentialsubscriptionIdsADD stringtagsarray of stringsA list of tags associated with this credential.tagsADD stringidentityProviderstringThe name of the identity providerHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/hal+jsonapplication/jsonAllowed:application/hal+jsonapplication/jsonResponses 200Returns the updated Credential object. 400Invalid request 401Unauthorized - Authentication required 403Forbidden - Insufficient permissions 404Credential not found 409Conflict 422Unprocessable entity 500Internal server errorUpdated 6 months ago